Void or Refund a Transaction API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to void a transaction or refund a transaction.

Endpoint

Productionhttps://pginstance/api/v1/voidorrefund
Testhttps://areionsbi.pc.enstage-sas.com/saleservice/api/v1/voidorrefund
Sample request
curl --request POST \
     --url https://areionsbi.pc.enstage-sas.com/voidrefundservice/api/v1/voidorrefund \
     --header 'content-type: application/json' \
     --header 'mle-enabled: eesrfferertretertertert' \
     --data '
{
  "pgInstanceId": "72702415",
  "merchantId": "35890949",
  "merchantReferenceNo": "AX143565",
  "originalTransactionId": "1234",
  "amount": "10000",
  "ext1": "CTX147258369QAZXWERTAXSFGHQWED"
}
'
Response parameters
Field Name M/O/C Description Example

status

M

Transaction Status

50020 = SUCCESS

(Any other value is a failure, full status codes shall be provided in appendix A)

pgErrorCode

M

PG Error Code

0 = No Error

(Any other value means some kind of error, full error codes list shall be provided in appendix B)

pgErrorDetail

M

PG Error detail

pg error detail was not set

transactionId

M

New Transaction id generated by PG

1235

rrn

M

Retrieval reference number

06711005310

Sample response

Request parameters

Body Params
string
required

This field must contain the PG instance ID.

string
required

This field must contain the PG merchant ID.

string
required

This parameter must contain the merchant reference number.

string
required

This field must contain the original transaction id of the auth.

string
required

This field must contain the amount to refund either full or partial refunds to be done by the merchant. Based on the merchant refund parameters, those many times refunds will be allowed.

string

This field accepts Citrus Transaction Id from PayU.

Headers
integer
required

This parameter must contain the message level encryption (MLE) keyId.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!